<?PHP
	$sitename = "The QuakeForge Project";
	$pagename = "Homepage";
	include("parts/library.php");				// Load function library
	include("parts/head.php"); 				// Load the HEAD and open BODY
	include("parts/topstrip.php");			// Display top strip
	include("parts/titletable.php"); 		// Display main title w/ logos
?>
<TABLE width="100%" cellspacing=0 cellpadding=0 border=0>
	<TR valign="top">
		<?php
			include("parts/menu.php"); 			// Import left-side menus
			tableSpacer( 1, 9, 1, "black");		// Separate content from menus
		?>
		<TD width="100%">
			<?php
				$focused = "home";					// name of focused icon
				include( "parts/topmain.php" );	// Display content top table
			?>
			<P>
			QuakeForge's aim is to create a long lasting project to work on developing and extending the Quake&reg; source release (and any future releases) while maintaining backwards compatibility with the original Quake and QuakeWorld&reg;. Our international team of developers is working hard to reach this goal, and we believe we are succeeding.
			<P>
			<TABLE width="100%" cellSpacing="0" cellPadding="0" border="0">
				<TR vAlign=top>
					<TD colSpan="2">
						<?php
							//	$conn = pg_connect("dbname=www user=deek");
							if ( $conn ) {
								$result = pg_exec( $conn, "SET DateStyle to 'ISO'" );
								$query = 'SELECT n_date, n_user, n_news FROM news_main ' .
											'WHERE n_date > ( \'now\' + \'1 month ago\'::reltime )::date ' .
											'ORDER BY n_date USING >';
								$result = pg_exec( $conn, $query );
								$numrows = pg_numrows( $result );
								tableBoxHeader("Latest News", 1, 'white', '#737b9c', 'black');
								if ($numrows >= 1) {
									for ( $i = 0 ; $i < $numrows ; $i++ ) {
										list($n_date, $n_user, $n_news) = pg_fetch_row($result,$i);
										tableNewsItem($n_date, $n_user, $n_news);
									}
								} else {
									tableNewsItem( 'Now', 'nobody', 'No current news!' );
								}
								$result = pg_close($conn);
							} else {
								tableBoxHeader("Latest News", 1, 'white', '#737b9c', 'black');
								$newsItem = '<P>Knghtbrd, our release manager, has been instructed to lay off the Quack.. &lt;=:]';
								tableNewsItem('27 Feb 2000', 'Mercury', $newsItem);

								$newsItem = '<P><B>QuackForge 0.1.1 has arrived!</B> tar.gz, tar.bz2, and zip source archives are available at our <A href="http://sourceforge.net/project/filelist.php?group_id=882">Downloads page</A>. Grab your copy today!';
								tableNewsItem('27 Feb 2000', 'Knghtbrd', $newsItem);

								$newsItem = '<P>Daniel McGregor has joined the project to maintain OpenBSD support.' .
												'<P>As a result of the current situation with QuakeLives, we have added a new goal: to support mod developers (such as MegaTF) more and provide 32-bit Windows executables (now that we have a qualified Windows developer working with us) for download.';
								tableNewsItem('25 Feb 2000', 'Palisade', $newsItem);

								$newsItem = '<P>It turns out that our newest core member, Dan Olson, was responsible for the Hexen <a href="http://www.raven-games.com/hhexen">port</a> to Linux.' .
												'<P>QuakeWorld Forever is considering hosting a mirror of the QuakeForge CVS in Australia for better access in that location.' .
												'<P>Jason Nelson has successfuly built all targets in win9x/NT/win2k, he\'s working on some glitches in some of the targets.' .
												'<P>The QuakeWorld Forever project has <a href="http://qwf.challenge-world.com/">moved</a>, and the site is better than ever.<P>' .
												'<P>Zephaniah E. Hull and Bill Currie have fixed some compiling bugs.' .
												'<P>Marcus Sundberg fixed GGI and X11 input and has further synced QW/UQ.' .
												'<P>Dan Olson made a fix to the console.' .
												'<P>Joseph Carter cleaned up a few GLX problems.' .
												'<P>Bill Currie has cleaned up shutdown, and fixed a crash during game load.' .
												'<P>Jukka Sorjonen has fixed a QW protocol problem.' .
												'<P>Zephaniah E. Hull has added profiling support when compiling.' .
												'<P>Jason Nelson has applied a large array of fixes for win32.';
								tableNewsItem('20 Feb 2000', 'Palisade', $newsItem);
							}
							tableBoxFooter();
						?>
					</TD>
				</TR>
			</TABLE>
			&nbsp;<BR>
		</TD>
		<?php
			tableSpacer( 1, 9, 1, "black");
		?>
	</TR>
	<TR>
		<TD COLSPAN="4">
			<?php
				include("parts/copyright.php");
			?>
		</TD>
	</TR>
</TABLE>
